Building master on Fedora fails

Eike Rathke list at erack.de
Sat May 18 23:02:16 UTC 2019


Hi,

I tried to build current master on Fedora F29 and that failed at two points:

One is the call

/usr/bin/docbook2texi --encoding=utf-8 \
    --string-param output-file=mutt \
    --string-param 'directory-category=Email-software' \
    --string-param 'directory-description=Text based mail reader' \
    manual.xml

for which /usr/bin/docbook2texi is a Jade Wrapper with

jw -f docbook -b texi "$@"

and that doesn't know the --string-param option.

I worked around the failure with a temporary

diff --git a/configure.ac b/configure.ac
index 102ddea2..8eb22d1e 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1572,6 +1572,7 @@ if test "$DB2XTEXI" != "none"; then
       do_build_info=yes
    fi
 fi
+do_build_info=no
 AM_CONDITIONAL(BUILD_INFO, test x$do_build_info = xyes)
 AC_SUBST(DB2XTEXI)
 AC_SUBST(MAKEINFO)


which of course is not a real solution, but I don't know any better now.


Second is a linkage failure of the mutt executable

/usr/bin/ld: crypt-gpgme.o: undefined reference to symbol 'gpgrt_cmp_version@@GPG_ERROR_1.0'
/usr/bin/ld: //usr/lib64/libgpg-error.so.0: error adding symbols: DSO missing from command line

The problem is that a /usr/bin/gpgme-config --libs  only returns

-L/usr/lib64 -lgpgme

and excludes -lgpg-error because libgpg-error is a separate package and
has a separate /usr/bin/gpg-error-config

That can be remedied with

diff --git a/m4/gpgme.m4 b/m4/gpgme.m4
index 44bf43cb..2d0bfcc4 100644
--- a/m4/gpgme.m4
+++ b/m4/gpgme.m4
@@ -17,8 +17,10 @@ AC_DEFUN([_AM_PATH_GPGME_CONFIG],
      gpgme_config_prefix="$withval", gpgme_config_prefix="")
   if test "x$gpgme_config_prefix" != x ; then
       GPGME_CONFIG="$gpgme_config_prefix/bin/gpgme-config"
+      GPG_ERROR_CONFIG="$gpgme_config_prefix/bin/gpg-error-config"
   fi
   AC_PATH_PROG(GPGME_CONFIG, gpgme-config, no)
+  AC_PATH_PROG(GPG_ERROR_CONFIG, gpg-error-config, no)
 
   if test "$GPGME_CONFIG" != "no" ; then
     gpgme_version=`$GPGME_CONFIG --version`
@@ -86,6 +88,9 @@ AC_DEFUN([AM_PATH_GPGME],
   if test $ok = yes; then
     GPGME_CFLAGS=`$GPGME_CONFIG --cflags`
     GPGME_LIBS=`$GPGME_CONFIG --libs`
+    if test "$GPG_ERROR_CONFIG" != "no" ; then
+      GPGME_LIBS="$GPGME_LIBS `$GPG_ERROR_CONFIG --libs`"
+    fi
     AC_MSG_RESULT(yes)
     ifelse([$2], , :, [$2])
   else


Interestingly on Debian there are also the two packages but
/usr/bin/gpgme-config --libs includes -lgpg-error so it doesn't fail,
but there's also /usr/bin/gpg-error-config and listing -lgpg-error twice
if so doesn't harm.

I think the above patch should do for all platforms but I only build on
those two. Anyhow, I created a merge request of it at
https://gitlab.com/muttmua/mutt/merge_requests/46

  Eike

-- 
OpenPGP/GnuPG encrypted mail preferred in all private communication.
GPG key 0x6A6CD5B765632D3A - 2265 D7F3 A7B0 95CC 3918  630B 6A6C D5B7 6563 2D3A
Use LibreOffice! https://www.libreoffice.org/
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 833 bytes
Desc: not available
URL: <http://lists.mutt.org/pipermail/mutt-dev/attachments/20190519/8a934635/attachment.asc>


More information about the Mutt-dev mailing list